UPDATE-GLX:(1)

NAME
update-glx - select system GLX and NVIDIA providers

SYNOPSIS
update-glx --auto <name>
update-glx --display <name>
update-glx --query <name>
update-glx --list <name>
update-glx --config <name>
update-glx --set <name>

DESCRIPTION
update-glx is a wrapper around update-alternatives supporting only configuration of the 'glx' and 'nvidia' alternatives. After updating the alternatives, it takes care to trigger any follow-up actions that may be required to complete the switch. It can be used to switch between the main NVIDIA driver version and the legacy drivers (eg: the 304 series, the 340 series, etc). For users with Optimus-type laptops it can be used to enable running the discrete GPU via bumblebee.

OPTIONS

--auto <name>
    switch the master link <name> to automatic mode.

--display <name>
    display information about the <name> group.

--query <name>
    machine parseable version of --display <name>.

--list <name>
    display all targets of the <name> group.

--config <name>
    show alternatives for the <name> group and ask the user to select which one to use.

--set <name> <path>
    set <path> as alternative for <name>.

<name> is the master name for this link group.

    Only 'nvidia' and 'glx' are supported.

<path> is the location of one of the alternative target files.

    (e.g. /usr/lib/nvidia)

Use 'update-glx --help' for program usage information.

AUTHOR

This manual page was written by Luca Boccassi <luca.boccassi@gmail.com> for the Debian project.